r18091 - gnucash/trunk/packaging/win32 - Win32: Add shell script for the automated nightly build.

Christian Stimming cstim at code.gnucash.org
Wed May 27 10:09:48 EDT 2009


Author: cstim
Date: 2009-05-27 10:09:48 -0400 (Wed, 27 May 2009)
New Revision: 18091
Trac: http://svn.gnucash.org/trac/changeset/18091

Added:
   gnucash/trunk/packaging/win32/daily_build.sh
Log:
Win32: Add shell script for the automated nightly build.

Added: gnucash/trunk/packaging/win32/daily_build.sh
===================================================================
--- gnucash/trunk/packaging/win32/daily_build.sh	                        (rev 0)
+++ gnucash/trunk/packaging/win32/daily_build.sh	2009-05-27 14:09:48 UTC (rev 18091)
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+set -e
+
+function qpushd() { pushd "$@" >/dev/null; }
+function qpopd() { popd >/dev/null; }
+function unix_path() { echo "$*" | sed 's,^\([A-Za-z]\):,/\1,;s,\\,/,g'; }
+
+qpushd "$(dirname $(unix_path "$0"))"
+. functions.sh
+. defaults.sh
+
+set_default OUTPUT_DIR $GLOBAL_DIR\\output
+
+LOGFILENAME=build-`date +'%Y-%m-%d'`.log
+
+_OUTPUT_DIR=`unix_path $OUTPUT_DIR`
+LOGFILE=${_OUTPUT_DIR}/${LOGFILENAME}
+
+# Run the compile
+./install.sh 2>&1 | tee ${LOGFILE}
+
+# Create the installer
+./dist.sh 2>&1 | tee -a ${LOGFILE}
+
+# Copy the resulting installer into the output directory
+_BUILD_UDIR=`unix_path $BUILD_DIR`
+_GNUCASH_UDIR=`unix_path $GNUCASH_DIR`
+PKG_VERSION=`grep PACKAGE_VERSION ${_BUILD_UDIR}/config.h | cut -d" " -f3 | cut -d\" -f2 `
+SVN_REV=`grep GNUCASH_SVN_REV ${_BUILD_UDIR}/src/gnome-utils/gnc-svninfo.h | cut -d" " -f3 | cut -d\" -f2 `
+SETUP_FILENAME="gnucash-${PKG_VERSION}-svn-r${SVN_REV}-setup.exe"
+mv ${_GNUCASH_UDIR}/${SETUP_FILENAME} ${_OUTPUT_DIR}
+


Property changes on: gnucash/trunk/packaging/win32/daily_build.sh
___________________________________________________________________
Added: svn:executable
   + *



More information about the gnucash-changes mailing list